com.io7m.jcamera

## Class JCameraSphericalSnapshot.Builder

- java.lang.Object
- - com.io7m.jcamera.JCameraSphericalSnapshot.Builder

- Enclosing class:
    JCameraSphericalSnapshot

      public static final class JCameraSphericalSnapshot.Builder
      extends Object

  Builds instances of type `JCameraSphericalSnapshot`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCameraSphericalSnapshot` | `build()` Builds a new `JCameraSphericalSnapshot`.
    `JCameraSphericalSnapshot.Builder` | `from(JCameraSphericalReadableType instance)` Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraSphericalReadableType` instance.
    `JCameraSphericalSnapshot.Builder` | `from(JCameraSphericalSnapshotType instance)` Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraSphericalSnapshotType` instance.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetAngleHeading(double cameraGetAngleHeading)` Initializes the value for the `cameraGetAngleHeading` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetAngleIncline(double cameraGetAngleIncline)` Initializes the value for the `cameraGetAngleIncline` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetForward(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward)` Initializes the value for the `cameraGetForward` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetForwardProjectedOnXZ(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForwardProjectedOnXZ)` Initializes the value for the `cameraGetForwardProjectedOnXZ` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition)` Initializes the value for the `cameraGetPosition` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetRight(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight)` Initializes the value for the `cameraGetRight` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetTargetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetTargetPosition)` Initializes the value for the `cameraGetTargetPosition` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetUp(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp)` Initializes the value for the `cameraGetUp` attribute.
    `JCameraSphericalSnapshot.Builder` | `setCameraGetZoom(double cameraGetZoom)` Initializes the value for the `cameraGetZoom` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCameraSphericalSnapshot.Builder from(JCameraSphericalReadableType instance)

      Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraSphericalReadableType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final JCameraSphericalSnapshot.Builder from(JCameraSphericalSnapshotType instance)

      Fill a builder with attribute values from the provided `com.io7m.jcamera.JCameraSphericalSnapshotType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetRight

          public final JCameraSphericalSnapshot.Builder setCameraGetRight(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetRight)

      Initializes the value for the `cameraGetRight` attribute.
      Parameters:
        `cameraGetRight` - The value for cameraGetRight
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetUp

          public final JCameraSphericalSnapshot.Builder setCameraGetUp(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetUp)

      Initializes the value for the `cameraGetUp` attribute.
      Parameters:
        `cameraGetUp` - The value for cameraGetUp
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetForward

          public final JCameraSphericalSnapshot.Builder setCameraGetForward(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForward)

      Initializes the value for the `cameraGetForward` attribute.
      Parameters:
        `cameraGetForward` - The value for cameraGetForward
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetPosition

          public final JCameraSphericalSnapshot.Builder setCameraGetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetPosition)

      Initializes the value for the `cameraGetPosition` attribute.
      Parameters:
        `cameraGetPosition` - The value for cameraGetPosition
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetAngleHeading

          public final JCameraSphericalSnapshot.Builder setCameraGetAngleHeading(double cameraGetAngleHeading)

      Initializes the value for the `cameraGetAngleHeading` attribute.
      Parameters:
        `cameraGetAngleHeading` - The value for cameraGetAngleHeading
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetAngleIncline

          public final JCameraSphericalSnapshot.Builder setCameraGetAngleIncline(double cameraGetAngleIncline)

      Initializes the value for the `cameraGetAngleIncline` attribute.
      Parameters:
        `cameraGetAngleIncline` - The value for cameraGetAngleIncline
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetZoom

          public final JCameraSphericalSnapshot.Builder setCameraGetZoom(double cameraGetZoom)

      Initializes the value for the `cameraGetZoom` attribute.
      Parameters:
        `cameraGetZoom` - The value for cameraGetZoom
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetForwardProjectedOnXZ

          public final JCameraSphericalSnapshot.Builder setCameraGetForwardProjectedOnXZ(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetForwardProjectedOnXZ)

      Initializes the value for the `cameraGetForwardProjectedOnXZ` attribute.
      Parameters:
        `cameraGetForwardProjectedOnXZ` - The value for cameraGetForwardProjectedOnXZ
      Returns:
        `this` builder for use in a chained invocation

    - #### setCameraGetTargetPosition

          public final JCameraSphericalSnapshot.Builder setCameraGetTargetPosition(com.io7m.jtensors.core.unparameterized.vectors.Vector3D cameraGetTargetPosition)

      Initializes the value for the `cameraGetTargetPosition` attribute.
      Parameters:
        `cameraGetTargetPosition` - The value for cameraGetTargetPosition
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCameraSphericalSnapshot build()

      Builds a new `JCameraSphericalSnapshot`.
      Returns:
        An immutable instance of JCameraSphericalSnapshot
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com